Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.functions
Class ShiftedMathFunction

    java.lang.Object
      umontreal.iro.lecuyer.functions.ShiftedMathFunction

All Implemented Interfaces:
  MathFunction, MathFunctionWithDerivative, MathFunctionWithFirstDerivative, MathFunctionWithIntegral

    public class ShiftedMathFunction

extends Object
implements MathFunction, MathFunctionWithFirstDerivative, MathFunctionWithDerivative, MathFunctionWithIntegral

Represents a function computing f (x) - δ for a user-defined function f (x) and shift δ.

Constructor Summary
`ShiftedMathFunction(MathFunction func, double delta)` Constructs a new function shifting the function `func` by a shift `delta`.

Method Summary
`double` | `derivative(double x)` Computes (or estimates) the first derivative of the function at point `x`.
`double` | `derivative(double x, int n)` Computes (or estimates) the nth derivative of the function at point `x`.
`double` | `evaluate(double x)` Returns the value of the function evaluated at x.
`double` | `getDelta()` Returns the shift δ = `delta`.
`MathFunction` | `getFunction()` Returns the function f (x).
`double` | `integral(double a, double b)` Computes (or estimates) the integral of the function over the interval [a, b].

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShiftedMathFunction

    public ShiftedMathFunction(MathFunction func,
                               double delta)

  Constructs a new function shifting the function `func` by a shift `delta`.

  Parameters:
    `func` - the function.
    `delta` - the shift.

Method Detail

### getFunction

    public MathFunction getFunction()

  Returns the function f (x).

  Returns:
    the function.

### getDelta

    public double getDelta()

  Returns the shift δ = `delta`.

  Returns:
    the shift.

### evaluate

    public double evaluate(double x)

  Description copied from interface: `MathFunction`
  Returns the value of the function evaluated at x.

  Specified by:
    `evaluate` in interface `MathFunction`
  Parameters:
    `x` - value at which the distribution function is evaluated
  Returns:
    function evaluated at `x`

### derivative

    public double derivative(double x)

  Description copied from interface: `MathFunctionWithFirstDerivative`
  Computes (or estimates) the first derivative of the function at point `x`.

  Specified by:
    `derivative` in interface `MathFunctionWithFirstDerivative`
  Parameters:
    `x` - the point to evaluate the derivative to.
  Returns:
    the value of the derivative.

### derivative

    public double derivative(double x,
                             int n)

  Description copied from interface: `MathFunctionWithDerivative`
  Computes (or estimates) the nth derivative of the function at point `x`. For n = 0, this returns the result of `evaluate`.

  Specified by:
    `derivative` in interface `MathFunctionWithDerivative`
  Parameters:
    `x` - the point to evaluate the derivate to.
    `n` - the order of the derivative.
  Returns:
    the resulting derivative.

### integral

    public double integral(double a,
                           double b)

  Description copied from interface: `MathFunctionWithIntegral`
  Computes (or estimates) the integral of the function over the interval [a, b].

  Specified by:
    `integral` in interface `MathFunctionWithIntegral`
  Parameters:
    `a` - the starting point of the interval.
    `b` - the ending point of the interval.
  Returns:
    the value of the integral.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.